본문 바로가기메인 메뉴 바로가기사이드 메뉴 바로가기

kakao developers

Related sites
  • Docs
  • Kakao Moment
  • Ad account management

사이드 메뉴

Kakao Map

Search

Kakao Moment

Ad account management

This document describes how to use the Ad account management API.

View business information

Basic information
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/companiesBusiness token

Retrieves business information.

Send a GET request with the issued business token in the request header. You must also pass the business registration number of a company to be retrieved. If the request is successful, this API returns the detailed information of the requested company in JSON format. If failed, refer to Error code to figure out its failure cause.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
Query parameter
NameTypeDescriptionRequired
bizNumStringBusiness registration number.O

Response

Body
NameTypeDescription
idLongCompany's ID.
businessRegistrationNumberStringBusiness registration number.
nameStringCompany's name.
representationNameStringCompany's representative.
addressAddressCompany's address.
businessCategoryStringType of business.
businessItemStringItem of business.
Address
NameTypeDescription
baseAddressStringBase address.
detailAddressStringDetailed address.
zipCodeStringZip code.

Sample

Request
curl -X GET "https://apis.moment.kakao.com/openapi/v4/companies?bizNum=120-81-47521" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}"
Response
{
"id": 680,
"businessRegistrationNumber": "123-12-12345",
"name": "company name",
"representationName": "company representative name",
"businessCategory": "business type",
"businessItem": "business item",
"address": {
"zipCode": "13494",
"baseAddress": "경기 성남시 분당구 판교역로 235",
"detailAddress": "H스퀘어"
}
}

See more

Was this helpful?